> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pinkfish.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# vercel-domains

> Vercel Domains - manage domains, DNS records, registrar, and certificates

**Server path:** `/vercel-domains` | **Type:** Application | **PCID required:** Yes

## Tools

| Tool                                                                                    | Description                                   |
| --------------------------------------------------------------------------------------- | --------------------------------------------- |
| [`vercel_domains_buy_domains`](#vercel_domains_buy_domains)                             | Buy multiple domains                          |
| [`vercel_domains_buy_single_domain`](#vercel_domains_buy_single_domain)                 | Buy a domain                                  |
| [`vercel_domains_create_or_transfer_domain`](#vercel_domains_create_or_transfer_domain) | Add an existing domain to the Vercel platform |
| [`vercel_domains_create_record`](#vercel_domains_create_record)                         | Create a DNS record                           |
| [`vercel_domains_delete_domain`](#vercel_domains_delete_domain)                         | Remove a domain by name                       |
| [`vercel_domains_get_bulk_availability`](#vercel_domains_get_bulk_availability)         | Get availability for multiple domains         |
| [`vercel_domains_get_cert_by_id`](#vercel_domains_get_cert_by_id)                       | Get cert by id                                |
| [`vercel_domains_get_contact_info_schema`](#vercel_domains_get_contact_info_schema)     | Get contact info schema                       |
| [`vercel_domains_get_domain`](#vercel_domains_get_domain)                               | Get Information for a Single Domain           |
| [`vercel_domains_get_domain_auth_code`](#vercel_domains_get_domain_auth_code)           | Get the auth code for a domain                |
| [`vercel_domains_get_domain_availability`](#vercel_domains_get_domain_availability)     | Get availability for a domain                 |
| [`vercel_domains_get_domain_config`](#vercel_domains_get_domain_config)                 | Get a Domain's configuration                  |
| [`vercel_domains_get_domain_price`](#vercel_domains_get_domain_price)                   | Get price data for a domain                   |
| [`vercel_domains_get_domain_transfer_in`](#vercel_domains_get_domain_transfer_in)       | Get a domain's transfer status                |
| [`vercel_domains_get_domains`](#vercel_domains_get_domains)                             | List all the domains                          |
| [`vercel_domains_get_order`](#vercel_domains_get_order)                                 | Get a domain order                            |
| [`vercel_domains_get_records`](#vercel_domains_get_records)                             | List existing DNS records                     |
| [`vercel_domains_get_supported_tlds`](#vercel_domains_get_supported_tlds)               | Get supported TLDs                            |
| [`vercel_domains_get_tld`](#vercel_domains_get_tld)                                     | Get TLD                                       |
| [`vercel_domains_get_tld_price`](#vercel_domains_get_tld_price)                         | Get TLD price data                            |
| [`vercel_domains_issue_cert`](#vercel_domains_issue_cert)                               | Issue a new cert                              |
| [`vercel_domains_patch_domain`](#vercel_domains_patch_domain)                           | Update or move apex domain                    |
| [`vercel_domains_remove_cert`](#vercel_domains_remove_cert)                             | Remove cert                                   |
| [`vercel_domains_remove_record`](#vercel_domains_remove_record)                         | Delete a DNS record                           |
| [`vercel_domains_renew_domain`](#vercel_domains_renew_domain)                           | Renew a domain                                |
| [`vercel_domains_transfer_in_domain`](#vercel_domains_transfer_in_domain)               | Transfer-in a domain                          |
| [`vercel_domains_update_domain_auto_renew`](#vercel_domains_update_domain_auto_renew)   | Update auto-renew for a domain                |
| [`vercel_domains_update_domain_nameservers`](#vercel_domains_update_domain_nameservers) | Update nameservers for a domain               |
| [`vercel_domains_update_record`](#vercel_domains_update_record)                         | Update an existing DNS record                 |
| [`vercel_domains_upload_cert`](#vercel_domains_upload_cert)                             | Upload a cert                                 |

***

## vercel\_domains\_buy\_domains

Buy multiple domains

**Parameters:**

| Parameter            | Type      | Required | Default | Description                                                                                                                                                                                                                                                           |
| -------------------- | --------- | -------- | ------- | --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `teamId`             | string    | No       | —       | Team Id                                                                                                                                                                                                                                                               |
| `contactInformation` | object    | Yes      | —       | The contact information for the domain. Some TLDs require additional contact information. Use the [Get contact info schema](https://vercel.com/docs/rest-api/reference/endpoints/domains-registrar/get-contact-info-schema) endpoint to retrieve the required fields. |
| `domains`            | object\[] | Yes      | —       | The domains value                                                                                                                                                                                                                                                     |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "teamId": {
        "type": "string",
        "description": "Team Id"
      },
      "contactInformation": {
        "type": "object",
        "description": "The contact information for the domain. Some TLDs require additional contact information. Use the [Get contact info schema](https://vercel.com/docs/rest-api/reference/endpoints/domains-registrar/get-contact-info-schema) endpoint to retrieve the required fields.",
        "properties": {
          "firstName": {
            "type": "string",
            "description": "a non empty string"
          },
          "lastName": {
            "type": "string",
            "description": "a non empty string"
          },
          "email": {
            "type": "string",
            "description": "A valid RFC 5322 email address"
          },
          "phone": {
            "type": "string",
            "description": "A valid E.164 phone number"
          },
          "address1": {
            "type": "string",
            "description": "a non empty string"
          },
          "address2": {
            "type": "string",
            "description": "a non empty string"
          },
          "city": {
            "type": "string",
            "description": "a non empty string"
          },
          "state": {
            "type": "string",
            "description": "a non empty string"
          },
          "zip": {
            "type": "string",
            "description": "a non empty string"
          },
          "country": {
            "type": "string",
            "description": "A valid ISO 3166-1 alpha-2 country code"
          },
          "companyName": {
            "type": "string",
            "description": "a non empty string"
          },
          "fax": {
            "type": "string",
            "description": "A valid E.164 phone number"
          },
          "additional": {
            "type": "object",
            "description": "The additional value"
          }
        },
        "required": [
          "firstName",
          "lastName",
          "email",
          "phone",
          "address1",
          "city",
          "state",
          "zip",
          "country"
        ]
      },
      "domains": {
        "type": "array",
        "items": {
          "type": "object",
          "properties": {
            "domainName": {
              "type": "string",
              "description": "A valid domain name"
            },
            "autoRenew": {
              "type": "boolean",
              "description": "Whether the domain should be auto-renewed before it expires. This can be configured later through the Vercel Dashboard or the [Update auto-renew for a domain](https://vercel.com/docs/rest-api/reference/endpoints/domains-registrar/update-auto-renew-for-a-domain) endpoint."
            },
            "years": {
              "type": "number",
              "description": "The number of years to purchase the domain for."
            },
            "expectedPrice": {
              "type": "number",
              "description": "Expected Price"
            },
            "languageCode": {
              "type": "string",
              "description": "The language code for the domain. For punycode domains, this must be provided. The list of supported language codes for a TLD can be retrieved from the [Get TLD](https://vercel.com/docs/rest-api/reference/endpoints/domains-registrar/get-tld) endpoint."
            }
          },
          "required": [
            "domainName",
            "autoRenew",
            "years",
            "expectedPrice"
          ]
        },
        "description": "The domains value"
      }
    },
    "required": [
      "PCID",
      "contactInformation",
      "domains"
    ]
  }
  ```
</Expandable>

***

## vercel\_domains\_buy\_single\_domain

Buy a domain

**Parameters:**

| Parameter            | Type    | Required | Default | Description                                                                                                                                                                                                                                                                     |
| -------------------- | ------- | -------- | ------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `domain`             | string  | Yes      | —       | A valid domain name                                                                                                                                                                                                                                                             |
| `teamId`             | string  | No       | —       | Team Id                                                                                                                                                                                                                                                                         |
| `autoRenew`          | boolean | Yes      | —       | Whether the domain should be auto-renewed before it expires. This can be configured later through the Vercel Dashboard or the [Update auto-renew for a domain](https://vercel.com/docs/rest-api/reference/endpoints/domains-registrar/update-auto-renew-for-a-domain) endpoint. |
| `contactInformation` | object  | Yes      | —       | The contact information for the domain. Some TLDs require additional contact information. Use the [Get contact info schema](https://vercel.com/docs/rest-api/reference/endpoints/domains-registrar/get-contact-info-schema) endpoint to retrieve the required fields.           |
| `expectedPrice`      | number  | Yes      | —       | Expected Price                                                                                                                                                                                                                                                                  |
| `languageCode`       | string  | No       | —       | The language code for the domain. For punycode domains, this must be provided. The list of supported language codes for a TLD can be retrieved from the [Get TLD](https://vercel.com/docs/rest-api/reference/endpoints/domains-registrar/get-tld) endpoint.                     |
| `years`              | number  | Yes      | —       | The number of years to purchase the domain for.                                                                                                                                                                                                                                 |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "domain": {
        "type": "string",
        "description": "A valid domain name"
      },
      "teamId": {
        "type": "string",
        "description": "Team Id"
      },
      "autoRenew": {
        "type": "boolean",
        "description": "Whether the domain should be auto-renewed before it expires. This can be configured later through the Vercel Dashboard or the [Update auto-renew for a domain](https://vercel.com/docs/rest-api/reference/endpoints/domains-registrar/update-auto-renew-for-a-domain) endpoint."
      },
      "contactInformation": {
        "type": "object",
        "description": "The contact information for the domain. Some TLDs require additional contact information. Use the [Get contact info schema](https://vercel.com/docs/rest-api/reference/endpoints/domains-registrar/get-contact-info-schema) endpoint to retrieve the required fields.",
        "properties": {
          "firstName": {
            "type": "string",
            "description": "a non empty string"
          },
          "lastName": {
            "type": "string",
            "description": "a non empty string"
          },
          "email": {
            "type": "string",
            "description": "A valid RFC 5322 email address"
          },
          "phone": {
            "type": "string",
            "description": "A valid E.164 phone number"
          },
          "address1": {
            "type": "string",
            "description": "a non empty string"
          },
          "address2": {
            "type": "string",
            "description": "a non empty string"
          },
          "city": {
            "type": "string",
            "description": "a non empty string"
          },
          "state": {
            "type": "string",
            "description": "a non empty string"
          },
          "zip": {
            "type": "string",
            "description": "a non empty string"
          },
          "country": {
            "type": "string",
            "description": "A valid ISO 3166-1 alpha-2 country code"
          },
          "companyName": {
            "type": "string",
            "description": "a non empty string"
          },
          "fax": {
            "type": "string",
            "description": "A valid E.164 phone number"
          },
          "additional": {
            "type": "object",
            "description": "The additional value"
          }
        },
        "required": [
          "firstName",
          "lastName",
          "email",
          "phone",
          "address1",
          "city",
          "state",
          "zip",
          "country"
        ]
      },
      "expectedPrice": {
        "type": "number",
        "description": "Expected Price"
      },
      "languageCode": {
        "type": "string",
        "description": "The language code for the domain. For punycode domains, this must be provided. The list of supported language codes for a TLD can be retrieved from the [Get TLD](https://vercel.com/docs/rest-api/reference/endpoints/domains-registrar/get-tld) endpoint."
      },
      "years": {
        "type": "number",
        "description": "The number of years to purchase the domain for."
      }
    },
    "required": [
      "PCID",
      "domain",
      "autoRenew",
      "contactInformation",
      "expectedPrice",
      "years"
    ]
  }
  ```
</Expandable>

***

## vercel\_domains\_create\_or\_transfer\_domain

Add an existing domain to the Vercel platform

**Parameters:**

| Parameter | Type   | Required | Default | Description                                              |
| --------- | ------ | -------- | ------- | -------------------------------------------------------- |
| `teamId`  | string | No       | —       | The Team identifier to perform the request on behalf of. |
| `slug`    | string | No       | —       | The Team slug to perform the request on behalf of.       |
| `body`    | object | No       | —       | Request body                                             |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "teamId": {
        "type": "string",
        "description": "The Team identifier to perform the request on behalf of."
      },
      "slug": {
        "type": "string",
        "description": "The Team slug to perform the request on behalf of."
      },
      "body": {
        "description": "Request body"
      }
    },
    "required": [
      "PCID"
    ]
  }
  ```
</Expandable>

***

## vercel\_domains\_create\_record

Create a DNS record

**Parameters:**

| Parameter | Type   | Required | Default | Description                                              |
| --------- | ------ | -------- | ------- | -------------------------------------------------------- |
| `domain`  | string | Yes      | —       | The domain used to create the DNS record.                |
| `teamId`  | string | No       | —       | The Team identifier to perform the request on behalf of. |
| `slug`    | string | No       | —       | The Team slug to perform the request on behalf of.       |
| `body`    | object | Yes      | —       | Request body                                             |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "domain": {
        "type": "string",
        "description": "The domain used to create the DNS record."
      },
      "teamId": {
        "type": "string",
        "description": "The Team identifier to perform the request on behalf of."
      },
      "slug": {
        "type": "string",
        "description": "The Team slug to perform the request on behalf of."
      },
      "body": {
        "description": "Request body"
      }
    },
    "required": [
      "PCID",
      "domain",
      "body"
    ]
  }
  ```
</Expandable>

***

## vercel\_domains\_delete\_domain

Remove a domain by name

**Parameters:**

| Parameter | Type   | Required | Default | Description                                              |
| --------- | ------ | -------- | ------- | -------------------------------------------------------- |
| `domain`  | string | Yes      | —       | The name of the domain.                                  |
| `teamId`  | string | No       | —       | The Team identifier to perform the request on behalf of. |
| `slug`    | string | No       | —       | The Team slug to perform the request on behalf of.       |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "domain": {
        "type": "string",
        "description": "The name of the domain."
      },
      "teamId": {
        "type": "string",
        "description": "The Team identifier to perform the request on behalf of."
      },
      "slug": {
        "type": "string",
        "description": "The Team slug to perform the request on behalf of."
      }
    },
    "required": [
      "PCID",
      "domain"
    ]
  }
  ```
</Expandable>

***

## vercel\_domains\_get\_bulk\_availability

Get availability for multiple domains

**Parameters:**

| Parameter | Type      | Required | Default | Description                    |
| --------- | --------- | -------- | ------- | ------------------------------ |
| `teamId`  | string    | No       | —       | Team Id                        |
| `domains` | string\[] | Yes      | —       | an array of at most 50 item(s) |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "teamId": {
        "type": "string",
        "description": "Team Id"
      },
      "domains": {
        "type": "array",
        "items": {
          "type": "string"
        },
        "description": "an array of at most 50 item(s)"
      }
    },
    "required": [
      "PCID",
      "domains"
    ]
  }
  ```
</Expandable>

***

## vercel\_domains\_get\_cert\_by\_id

Get cert by id

**Parameters:**

| Parameter | Type   | Required | Default | Description                                              |
| --------- | ------ | -------- | ------- | -------------------------------------------------------- |
| `id`      | string | Yes      | —       | The cert id                                              |
| `teamId`  | string | No       | —       | The Team identifier to perform the request on behalf of. |
| `slug`    | string | No       | —       | The Team slug to perform the request on behalf of.       |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "id": {
        "type": "string",
        "description": "The cert id"
      },
      "teamId": {
        "type": "string",
        "description": "The Team identifier to perform the request on behalf of."
      },
      "slug": {
        "type": "string",
        "description": "The Team slug to perform the request on behalf of."
      }
    },
    "required": [
      "PCID",
      "id"
    ]
  }
  ```
</Expandable>

***

## vercel\_domains\_get\_contact\_info\_schema

Get contact info schema

**Parameters:**

| Parameter | Type   | Required | Default | Description         |
| --------- | ------ | -------- | ------- | ------------------- |
| `domain`  | string | Yes      | —       | A valid domain name |
| `teamId`  | string | No       | —       | Team Id             |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "domain": {
        "type": "string",
        "description": "A valid domain name"
      },
      "teamId": {
        "type": "string",
        "description": "Team Id"
      }
    },
    "required": [
      "PCID",
      "domain"
    ]
  }
  ```
</Expandable>

***

## vercel\_domains\_get\_domain

Get Information for a Single Domain

**Parameters:**

| Parameter | Type   | Required | Default | Description                                              |
| --------- | ------ | -------- | ------- | -------------------------------------------------------- |
| `domain`  | string | Yes      | —       | The name of the domain.                                  |
| `teamId`  | string | No       | —       | The Team identifier to perform the request on behalf of. |
| `slug`    | string | No       | —       | The Team slug to perform the request on behalf of.       |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "domain": {
        "type": "string",
        "description": "The name of the domain."
      },
      "teamId": {
        "type": "string",
        "description": "The Team identifier to perform the request on behalf of."
      },
      "slug": {
        "type": "string",
        "description": "The Team slug to perform the request on behalf of."
      }
    },
    "required": [
      "PCID",
      "domain"
    ]
  }
  ```
</Expandable>

***

## vercel\_domains\_get\_domain\_auth\_code

Get the auth code for a domain

**Parameters:**

| Parameter | Type   | Required | Default | Description         |
| --------- | ------ | -------- | ------- | ------------------- |
| `domain`  | string | Yes      | —       | A valid domain name |
| `teamId`  | string | No       | —       | Team Id             |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "domain": {
        "type": "string",
        "description": "A valid domain name"
      },
      "teamId": {
        "type": "string",
        "description": "Team Id"
      }
    },
    "required": [
      "PCID",
      "domain"
    ]
  }
  ```
</Expandable>

***

## vercel\_domains\_get\_domain\_availability

Get availability for a domain

**Parameters:**

| Parameter | Type   | Required | Default | Description         |
| --------- | ------ | -------- | ------- | ------------------- |
| `domain`  | string | Yes      | —       | A valid domain name |
| `teamId`  | string | No       | —       | Team Id             |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "domain": {
        "type": "string",
        "description": "A valid domain name"
      },
      "teamId": {
        "type": "string",
        "description": "Team Id"
      }
    },
    "required": [
      "PCID",
      "domain"
    ]
  }
  ```
</Expandable>

***

## vercel\_domains\_get\_domain\_config

Get a Domain's configuration

**Parameters:**

| Parameter         | Type   | Required | Default | Description                                                                                                                                                                                                                                                    |
| ----------------- | ------ | -------- | ------- | -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `domain`          | string | Yes      | —       | The name of the domain.                                                                                                                                                                                                                                        |
| `projectIdOrName` | string | No       | —       | The project id or name that will be associated with the domain. Use this when the domain is not yet associated with a project.                                                                                                                                 |
| `strict`          | object | No       | —       | When true, the response will only include the nameservers assigned directly to the specified domain. When false and there are no nameservers assigned directly to the specified domain, the response will include the nameservers of the domain's parent zone. |
| `teamId`          | string | No       | —       | The Team identifier to perform the request on behalf of.                                                                                                                                                                                                       |
| `slug`            | string | No       | —       | The Team slug to perform the request on behalf of.                                                                                                                                                                                                             |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "domain": {
        "type": "string",
        "description": "The name of the domain."
      },
      "projectIdOrName": {
        "type": "string",
        "description": "The project id or name that will be associated with the domain. Use this when the domain is not yet associated with a project."
      },
      "strict": {
        "description": "When true, the response will only include the nameservers assigned directly to the specified domain. When false and there are no nameservers assigned directly to the specified domain, the response will include the nameservers of the domain's parent zone.",
        "enum": [
          "true",
          "false"
        ]
      },
      "teamId": {
        "type": "string",
        "description": "The Team identifier to perform the request on behalf of."
      },
      "slug": {
        "type": "string",
        "description": "The Team slug to perform the request on behalf of."
      }
    },
    "required": [
      "PCID",
      "domain"
    ]
  }
  ```
</Expandable>

***

## vercel\_domains\_get\_domain\_price

Get price data for a domain

**Parameters:**

| Parameter | Type   | Required | Default | Description                                                                                                      |
| --------- | ------ | -------- | ------- | ---------------------------------------------------------------------------------------------------------------- |
| `domain`  | string | Yes      | —       | A valid domain name                                                                                              |
| `years`   | string | No       | —       | The number of years to get the price for. If not provided, the minimum number of years for the TLD will be used. |
| `teamId`  | string | No       | —       | Team Id                                                                                                          |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "domain": {
        "type": "string",
        "description": "A valid domain name"
      },
      "years": {
        "type": "string",
        "description": "The number of years to get the price for. If not provided, the minimum number of years for the TLD will be used."
      },
      "teamId": {
        "type": "string",
        "description": "Team Id"
      }
    },
    "required": [
      "PCID",
      "domain"
    ]
  }
  ```
</Expandable>

***

## vercel\_domains\_get\_domain\_transfer\_in

Get a domain's transfer status

**Parameters:**

| Parameter | Type   | Required | Default | Description         |
| --------- | ------ | -------- | ------- | ------------------- |
| `domain`  | string | Yes      | —       | A valid domain name |
| `teamId`  | string | No       | —       | Team Id             |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "domain": {
        "type": "string",
        "description": "A valid domain name"
      },
      "teamId": {
        "type": "string",
        "description": "Team Id"
      }
    },
    "required": [
      "PCID",
      "domain"
    ]
  }
  ```
</Expandable>

***

## vercel\_domains\_get\_domains

List all the domains

**Parameters:**

| Parameter | Type   | Required | Default | Description                                              |
| --------- | ------ | -------- | ------- | -------------------------------------------------------- |
| `limit`   | number | No       | —       | Maximum number of domains to list from a request.        |
| `since`   | number | No       | —       | Get domains created after this JavaScript timestamp.     |
| `until`   | number | No       | —       | Get domains created before this JavaScript timestamp.    |
| `teamId`  | string | No       | —       | The Team identifier to perform the request on behalf of. |
| `slug`    | string | No       | —       | The Team slug to perform the request on behalf of.       |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "limit": {
        "type": "number",
        "description": "Maximum number of domains to list from a request."
      },
      "since": {
        "type": "number",
        "description": "Get domains created after this JavaScript timestamp."
      },
      "until": {
        "type": "number",
        "description": "Get domains created before this JavaScript timestamp."
      },
      "teamId": {
        "type": "string",
        "description": "The Team identifier to perform the request on behalf of."
      },
      "slug": {
        "type": "string",
        "description": "The Team slug to perform the request on behalf of."
      }
    },
    "required": [
      "PCID"
    ]
  }
  ```
</Expandable>

***

## vercel\_domains\_get\_order

Get a domain order

**Parameters:**

| Parameter | Type   | Required | Default | Description      |
| --------- | ------ | -------- | ------- | ---------------- |
| `orderId` | string | Yes      | —       | A valid order ID |
| `teamId`  | string | No       | —       | Team Id          |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "orderId": {
        "type": "string",
        "description": "A valid order ID"
      },
      "teamId": {
        "type": "string",
        "description": "Team Id"
      }
    },
    "required": [
      "PCID",
      "orderId"
    ]
  }
  ```
</Expandable>

***

## vercel\_domains\_get\_records

List existing DNS records

**Parameters:**

| Parameter | Type   | Required | Default | Description                                              |
| --------- | ------ | -------- | ------- | -------------------------------------------------------- |
| `domain`  | string | Yes      | —       | The domain value                                         |
| `limit`   | string | No       | —       | Maximum number of records to list from a request.        |
| `since`   | string | No       | —       | Get records created after this JavaScript timestamp.     |
| `until`   | string | No       | —       | Get records created before this JavaScript timestamp.    |
| `teamId`  | string | No       | —       | The Team identifier to perform the request on behalf of. |
| `slug`    | string | No       | —       | The Team slug to perform the request on behalf of.       |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "domain": {
        "type": "string",
        "description": "The domain value"
      },
      "limit": {
        "type": "string",
        "description": "Maximum number of records to list from a request."
      },
      "since": {
        "type": "string",
        "description": "Get records created after this JavaScript timestamp."
      },
      "until": {
        "type": "string",
        "description": "Get records created before this JavaScript timestamp."
      },
      "teamId": {
        "type": "string",
        "description": "The Team identifier to perform the request on behalf of."
      },
      "slug": {
        "type": "string",
        "description": "The Team slug to perform the request on behalf of."
      }
    },
    "required": [
      "PCID",
      "domain"
    ]
  }
  ```
</Expandable>

***

## vercel\_domains\_get\_supported\_tlds

Get supported TLDs

**Parameters:**

| Parameter | Type   | Required | Default | Description |
| --------- | ------ | -------- | ------- | ----------- |
| `teamId`  | string | No       | —       | Team Id     |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "teamId": {
        "type": "string",
        "description": "Team Id"
      }
    },
    "required": [
      "PCID"
    ]
  }
  ```
</Expandable>

***

## vercel\_domains\_get\_tld

Get TLD

**Parameters:**

| Parameter | Type   | Required | Default | Description      |
| --------- | ------ | -------- | ------- | ---------------- |
| `tld`     | string | Yes      | —       | A valid TLD name |
| `teamId`  | string | No       | —       | Team Id          |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "tld": {
        "type": "string",
        "description": "A valid TLD name"
      },
      "teamId": {
        "type": "string",
        "description": "Team Id"
      }
    },
    "required": [
      "PCID",
      "tld"
    ]
  }
  ```
</Expandable>

***

## vercel\_domains\_get\_tld\_price

Get TLD price data

**Parameters:**

| Parameter | Type   | Required | Default | Description                                                                                                      |
| --------- | ------ | -------- | ------- | ---------------------------------------------------------------------------------------------------------------- |
| `tld`     | string | Yes      | —       | A valid TLD name                                                                                                 |
| `years`   | string | No       | —       | The number of years to get the price for. If not provided, the minimum number of years for the TLD will be used. |
| `teamId`  | string | No       | —       | Team Id                                                                                                          |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "tld": {
        "type": "string",
        "description": "A valid TLD name"
      },
      "years": {
        "type": "string",
        "description": "The number of years to get the price for. If not provided, the minimum number of years for the TLD will be used."
      },
      "teamId": {
        "type": "string",
        "description": "Team Id"
      }
    },
    "required": [
      "PCID",
      "tld"
    ]
  }
  ```
</Expandable>

***

## vercel\_domains\_issue\_cert

Issue a new cert

**Parameters:**

| Parameter | Type      | Required | Default | Description                                              |
| --------- | --------- | -------- | ------- | -------------------------------------------------------- |
| `teamId`  | string    | No       | —       | The Team identifier to perform the request on behalf of. |
| `slug`    | string    | No       | —       | The Team slug to perform the request on behalf of.       |
| `cns`     | string\[] | No       | —       | The common names the cert should be issued for           |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "teamId": {
        "type": "string",
        "description": "The Team identifier to perform the request on behalf of."
      },
      "slug": {
        "type": "string",
        "description": "The Team slug to perform the request on behalf of."
      },
      "cns": {
        "type": "array",
        "items": {
          "type": "string"
        },
        "description": "The common names the cert should be issued for"
      }
    },
    "required": [
      "PCID"
    ]
  }
  ```
</Expandable>

***

## vercel\_domains\_patch\_domain

Update or move apex domain

**Parameters:**

| Parameter | Type   | Required | Default | Description                                              |
| --------- | ------ | -------- | ------- | -------------------------------------------------------- |
| `domain`  | string | Yes      | —       | The domain value                                         |
| `teamId`  | string | No       | —       | The Team identifier to perform the request on behalf of. |
| `slug`    | string | No       | —       | The Team slug to perform the request on behalf of.       |
| `body`    | object | Yes      | —       | Request body                                             |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "domain": {
        "type": "string",
        "description": "The domain value"
      },
      "teamId": {
        "type": "string",
        "description": "The Team identifier to perform the request on behalf of."
      },
      "slug": {
        "type": "string",
        "description": "The Team slug to perform the request on behalf of."
      },
      "body": {
        "description": "Request body"
      }
    },
    "required": [
      "PCID",
      "domain",
      "body"
    ]
  }
  ```
</Expandable>

***

## vercel\_domains\_remove\_cert

Remove cert

**Parameters:**

| Parameter | Type   | Required | Default | Description                                              |
| --------- | ------ | -------- | ------- | -------------------------------------------------------- |
| `id`      | string | Yes      | —       | The cert id to remove                                    |
| `teamId`  | string | No       | —       | The Team identifier to perform the request on behalf of. |
| `slug`    | string | No       | —       | The Team slug to perform the request on behalf of.       |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "id": {
        "type": "string",
        "description": "The cert id to remove"
      },
      "teamId": {
        "type": "string",
        "description": "The Team identifier to perform the request on behalf of."
      },
      "slug": {
        "type": "string",
        "description": "The Team slug to perform the request on behalf of."
      }
    },
    "required": [
      "PCID",
      "id"
    ]
  }
  ```
</Expandable>

***

## vercel\_domains\_remove\_record

Delete a DNS record

**Parameters:**

| Parameter  | Type   | Required | Default | Description                                              |
| ---------- | ------ | -------- | ------- | -------------------------------------------------------- |
| `domain`   | string | Yes      | —       | The domain value                                         |
| `recordId` | string | Yes      | —       | Record Id                                                |
| `teamId`   | string | No       | —       | The Team identifier to perform the request on behalf of. |
| `slug`     | string | No       | —       | The Team slug to perform the request on behalf of.       |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "domain": {
        "type": "string",
        "description": "The domain value"
      },
      "recordId": {
        "type": "string",
        "description": "Record Id"
      },
      "teamId": {
        "type": "string",
        "description": "The Team identifier to perform the request on behalf of."
      },
      "slug": {
        "type": "string",
        "description": "The Team slug to perform the request on behalf of."
      }
    },
    "required": [
      "PCID",
      "domain",
      "recordId"
    ]
  }
  ```
</Expandable>

***

## vercel\_domains\_renew\_domain

Renew a domain

**Parameters:**

| Parameter            | Type   | Required | Default | Description                                  |
| -------------------- | ------ | -------- | ------- | -------------------------------------------- |
| `domain`             | string | Yes      | —       | A valid domain name                          |
| `teamId`             | string | No       | —       | Team Id                                      |
| `contactInformation` | object | No       | —       | Contact Information                          |
| `expectedPrice`      | number | Yes      | —       | Expected Price                               |
| `years`              | number | Yes      | —       | The number of years to renew the domain for. |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "domain": {
        "type": "string",
        "description": "A valid domain name"
      },
      "teamId": {
        "type": "string",
        "description": "Team Id"
      },
      "contactInformation": {
        "type": "object",
        "description": "Contact Information",
        "properties": {
          "firstName": {
            "type": "string",
            "description": "a non empty string"
          },
          "lastName": {
            "type": "string",
            "description": "a non empty string"
          },
          "email": {
            "type": "string",
            "description": "A valid RFC 5322 email address"
          },
          "phone": {
            "type": "string",
            "description": "A valid E.164 phone number"
          },
          "address1": {
            "type": "string",
            "description": "a non empty string"
          },
          "address2": {
            "type": "string",
            "description": "a non empty string"
          },
          "city": {
            "type": "string",
            "description": "a non empty string"
          },
          "state": {
            "type": "string",
            "description": "a non empty string"
          },
          "zip": {
            "type": "string",
            "description": "a non empty string"
          },
          "country": {
            "type": "string",
            "description": "A valid ISO 3166-1 alpha-2 country code"
          },
          "companyName": {
            "type": "string",
            "description": "a non empty string"
          },
          "fax": {
            "type": "string",
            "description": "A valid E.164 phone number"
          }
        },
        "required": [
          "firstName",
          "lastName",
          "email",
          "phone",
          "address1",
          "city",
          "state",
          "zip",
          "country"
        ]
      },
      "expectedPrice": {
        "type": "number",
        "description": "Expected Price"
      },
      "years": {
        "type": "number",
        "description": "The number of years to renew the domain for."
      }
    },
    "required": [
      "PCID",
      "domain",
      "expectedPrice",
      "years"
    ]
  }
  ```
</Expandable>

***

## vercel\_domains\_transfer\_in\_domain

Transfer-in a domain

**Parameters:**

| Parameter            | Type    | Required | Default | Description                                                                                                                                                                                                                                                                     |
| -------------------- | ------- | -------- | ------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `domain`             | string  | Yes      | —       | A valid domain name                                                                                                                                                                                                                                                             |
| `teamId`             | string  | No       | —       | Team Id                                                                                                                                                                                                                                                                         |
| `authCode`           | string  | Yes      | —       | The auth code for the domain. You must obtain this code from the losing registrar.                                                                                                                                                                                              |
| `autoRenew`          | boolean | Yes      | —       | Whether the domain should be auto-renewed before it expires. This can be configured later through the Vercel Dashboard or the [Update auto-renew for a domain](https://vercel.com/docs/rest-api/reference/endpoints/domains-registrar/update-auto-renew-for-a-domain) endpoint. |
| `contactInformation` | object  | Yes      | —       | Contact Information                                                                                                                                                                                                                                                             |
| `expectedPrice`      | number  | Yes      | —       | Expected Price                                                                                                                                                                                                                                                                  |
| `years`              | number  | Yes      | —       | The number of years to renew the domain for once it is transferred in. This must be a valid number of transfer years for the TLD.                                                                                                                                               |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "domain": {
        "type": "string",
        "description": "A valid domain name"
      },
      "teamId": {
        "type": "string",
        "description": "Team Id"
      },
      "authCode": {
        "type": "string",
        "description": "The auth code for the domain. You must obtain this code from the losing registrar."
      },
      "autoRenew": {
        "type": "boolean",
        "description": "Whether the domain should be auto-renewed before it expires. This can be configured later through the Vercel Dashboard or the [Update auto-renew for a domain](https://vercel.com/docs/rest-api/reference/endpoints/domains-registrar/update-auto-renew-for-a-domain) endpoint."
      },
      "contactInformation": {
        "type": "object",
        "description": "Contact Information",
        "properties": {
          "firstName": {
            "type": "string",
            "description": "a non empty string"
          },
          "lastName": {
            "type": "string",
            "description": "a non empty string"
          },
          "email": {
            "type": "string",
            "description": "A valid RFC 5322 email address"
          },
          "phone": {
            "type": "string",
            "description": "A valid E.164 phone number"
          },
          "address1": {
            "type": "string",
            "description": "a non empty string"
          },
          "address2": {
            "type": "string",
            "description": "a non empty string"
          },
          "city": {
            "type": "string",
            "description": "a non empty string"
          },
          "state": {
            "type": "string",
            "description": "a non empty string"
          },
          "zip": {
            "type": "string",
            "description": "a non empty string"
          },
          "country": {
            "type": "string",
            "description": "A valid ISO 3166-1 alpha-2 country code"
          },
          "companyName": {
            "type": "string",
            "description": "a non empty string"
          },
          "fax": {
            "type": "string",
            "description": "A valid E.164 phone number"
          }
        },
        "required": [
          "firstName",
          "lastName",
          "email",
          "phone",
          "address1",
          "city",
          "state",
          "zip",
          "country"
        ]
      },
      "expectedPrice": {
        "type": "number",
        "description": "Expected Price"
      },
      "years": {
        "type": "number",
        "description": "The number of years to renew the domain for once it is transferred in. This must be a valid number of transfer years for the TLD."
      }
    },
    "required": [
      "PCID",
      "domain",
      "authCode",
      "autoRenew",
      "contactInformation",
      "expectedPrice",
      "years"
    ]
  }
  ```
</Expandable>

***

## vercel\_domains\_update\_domain\_auto\_renew

Update auto-renew for a domain

**Parameters:**

| Parameter   | Type    | Required | Default | Description         |
| ----------- | ------- | -------- | ------- | ------------------- |
| `domain`    | string  | Yes      | —       | A valid domain name |
| `teamId`    | string  | No       | —       | Team Id             |
| `autoRenew` | boolean | Yes      | —       | Auto Renew          |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "domain": {
        "type": "string",
        "description": "A valid domain name"
      },
      "teamId": {
        "type": "string",
        "description": "Team Id"
      },
      "autoRenew": {
        "type": "boolean",
        "description": "Auto Renew"
      }
    },
    "required": [
      "PCID",
      "domain",
      "autoRenew"
    ]
  }
  ```
</Expandable>

***

## vercel\_domains\_update\_domain\_nameservers

Update nameservers for a domain

**Parameters:**

| Parameter     | Type      | Required | Default | Description           |
| ------------- | --------- | -------- | ------- | --------------------- |
| `domain`      | string    | Yes      | —       | A valid domain name   |
| `teamId`      | string    | No       | —       | Team Id               |
| `nameservers` | string\[] | Yes      | —       | The nameservers value |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "domain": {
        "type": "string",
        "description": "A valid domain name"
      },
      "teamId": {
        "type": "string",
        "description": "Team Id"
      },
      "nameservers": {
        "type": "array",
        "items": {
          "type": "string"
        },
        "description": "The nameservers value"
      }
    },
    "required": [
      "PCID",
      "domain",
      "nameservers"
    ]
  }
  ```
</Expandable>

***

## vercel\_domains\_update\_record

Update an existing DNS record

**Parameters:**

| Parameter    | Type    | Required | Default | Description                                              |
| ------------ | ------- | -------- | ------- | -------------------------------------------------------- |
| `recordId`   | string  | Yes      | —       | The id of the DNS record                                 |
| `teamId`     | string  | No       | —       | The Team identifier to perform the request on behalf of. |
| `slug`       | string  | No       | —       | The Team slug to perform the request on behalf of.       |
| `comment`    | string  | No       | —       | A comment to add context on what this DNS record is for  |
| `https`      | object  | No       | —       | The https value                                          |
| `mxPriority` | integer | No       | —       | The MX priority value of the DNS record                  |
| `name`       | string  | No       | —       | The name of the DNS record                               |
| `srv`        | object  | No       | —       | The srv value                                            |
| `ttl`        | integer | No       | —       | The Time to live (TTL) value of the DNS record           |
| `type`       | string  | No       | —       | The type of the DNS record                               |
| `value`      | string  | No       | —       | The value of the DNS record                              |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "recordId": {
        "type": "string",
        "description": "The id of the DNS record"
      },
      "teamId": {
        "type": "string",
        "description": "The Team identifier to perform the request on behalf of."
      },
      "slug": {
        "type": "string",
        "description": "The Team slug to perform the request on behalf of."
      },
      "comment": {
        "type": "string",
        "description": "A comment to add context on what this DNS record is for"
      },
      "https": {
        "type": "object",
        "description": "The https value",
        "properties": {
          "priority": {
            "type": "integer",
            "description": "The priority value"
          },
          "target": {
            "type": "string",
            "description": "The target value"
          },
          "params": {
            "type": "string",
            "description": "The params value"
          }
        },
        "required": [
          "priority",
          "target"
        ]
      },
      "mxPriority": {
        "type": "integer",
        "description": "The MX priority value of the DNS record"
      },
      "name": {
        "type": "string",
        "description": "The name of the DNS record"
      },
      "srv": {
        "type": "object",
        "description": "The srv value",
        "properties": {
          "target": {
            "type": "string",
            "description": "The target value"
          },
          "weight": {
            "type": "integer",
            "description": "The weight value"
          },
          "port": {
            "type": "integer",
            "description": "The port value"
          },
          "priority": {
            "type": "integer",
            "description": "The priority value"
          }
        },
        "required": [
          "target",
          "weight",
          "port",
          "priority"
        ]
      },
      "ttl": {
        "type": "integer",
        "description": "The Time to live (TTL) value of the DNS record"
      },
      "type": {
        "type": "string",
        "description": "The type of the DNS record",
        "enum": [
          "A",
          "AAAA",
          "ALIAS",
          "CAA",
          "CNAME",
          "HTTPS",
          "MX",
          "SRV",
          "TXT",
          "NS"
        ]
      },
      "value": {
        "type": "string",
        "description": "The value of the DNS record"
      }
    },
    "required": [
      "PCID",
      "recordId"
    ]
  }
  ```
</Expandable>

***

## vercel\_domains\_upload\_cert

Upload a cert

**Parameters:**

| Parameter        | Type    | Required | Default | Description                                              |
| ---------------- | ------- | -------- | ------- | -------------------------------------------------------- |
| `teamId`         | string  | No       | —       | The Team identifier to perform the request on behalf of. |
| `slug`           | string  | No       | —       | The Team slug to perform the request on behalf of.       |
| `ca`             | string  | Yes      | —       | The certificate authority                                |
| `cert`           | string  | Yes      | —       | The certificate                                          |
| `key`            | string  | Yes      | —       | The certificate key                                      |
| `skipValidation` | boolean | No       | —       | Skip validation of the certificate                       |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "teamId": {
        "type": "string",
        "description": "The Team identifier to perform the request on behalf of."
      },
      "slug": {
        "type": "string",
        "description": "The Team slug to perform the request on behalf of."
      },
      "ca": {
        "type": "string",
        "description": "The certificate authority"
      },
      "cert": {
        "type": "string",
        "description": "The certificate"
      },
      "key": {
        "type": "string",
        "description": "The certificate key"
      },
      "skipValidation": {
        "type": "boolean",
        "description": "Skip validation of the certificate"
      }
    },
    "required": [
      "PCID",
      "ca",
      "cert",
      "key"
    ]
  }
  ```
</Expandable>
